Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Source-code libraries for standards-based RTP/RTCP/RTSP multimedia streaming
Name:		live
Version:	2009.04.07
Release:	1
License:	GNU/LGPL
URL:		http://live555.com
Group:		System/Libraries
Source0:	%{name}.%{version}.tar.gz
Patch0:		live-CFLAGS.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Manual build dependencies
Buildrequires: findutils

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
Source-code libraries for standards-based RTP/RTCP/RTSP multimedia streaming, 
suitable for embedded and/or low-cost streaming applications

%package	devel
Summary:	Header files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
header files for %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n %{name}
%patch0 -p1

%build
./genMakefiles linux
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%_libdir/liveMedia/liveMedia
install -d $RPM_BUILD_ROOT%_libdir/liveMedia/groupsock
install -d $RPM_BUILD_ROOT%_libdir/liveMedia/UsageEnvironment
install -d $RPM_BUILD_ROOT%_libdir/liveMedia/BasicUsageEnvironment

install liveMedia/libliveMedia.a $RPM_BUILD_ROOT%_libdir/liveMedia/liveMedia
install groupsock/libgroupsock.a $RPM_BUILD_ROOT%_libdir/liveMedia/groupsock
install UsageEnvironment/libUsageEnvironment.a $RPM_BUILD_ROOT%_libdir/liveMedia/UsageEnvironment
install BasicUsageEnvironment/libBasicUsageEnvironment.a $RPM_BUILD_ROOT%_libdir/liveMedia/BasicUsageEnvironment

install -d $RPM_BUILD_ROOT%_includedir/liveMedia

install liveMedia/include/* $RPM_BUILD_ROOT%_includedir/liveMedia
install UsageEnvironment/include/* $RPM_BUILD_ROOT%_includedir/liveMedia
install BasicUsageEnvironment/include/* $RPM_BUILD_ROOT%_includedir/liveMedia
install groupsock/include/* $RPM_BUILD_ROOT%_includedir/liveMedia

mkdir -p $RPM_BUILD_ROOT%_bindir
cp $(find testProgs -type f -perm +111) $RPM_BUILD_ROOT%_bindir/

%files
%defattr(-,root,root)
%_bindir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 2009.04.07-1
- Version update
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 2008.07.25-1
- version update
* Sat Apr 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 2008.04.09-1
- Version update
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 2006.11.16-1
- Version update
* Thu Sep 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 2006.09.12-1
- Version update
* Sat Jan 07 2006 Stefan Gottwald <gotti@ccux-linux.de> 2006.01.05-1
- Initial Release
